:root {
    --vil-primary: #2a5686;
    --vil-secondary: #ffb60b;
    --vil-tertiary: #cc0300;

    --vil-background-color: #fff;
    --vil-color-title: var(--vil-primary);
    --vil-color-text: #000;

    --vil-color-link: var(--vil-primary);

    --vil-color-checkbox: var(--vil-tertiary);

    --vil-button-primary: var(--vil-primary);
    --vil-button-active: #153e69;
    --vil-button-disabled-color: #777;
    --vil-button-text: #fff;

    --vil-success: #299c00;
    --vil-error: #cc0200;
    --vil-progress: #ffb60b;
    --vil-warning: #ffb60b;
}

body {
    overflow: hidden;
}

.mobile-content {
    display: flex;
    flex-direction: column;
    // justify-content: space-between;
    align-items: flex-start;
    height: calc(90vh - 6rem);
    padding: 2rem;
}

footer {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100vw;
    height: 10vh;
    overflow: hidden;
    background-color: var(--vil-tertiary);
    opacity: 0.8;
    display: flex;
    align-items: flex-end;
    justify-content: flex-end;
    z-index: -1;

    &::before {
        position: absolute;
        top: 0;
        left: 0;
        bottom: 0;
        right: 0;
        background-image: url("./assets/backdrop.jpeg");
        background-repeat: no-repeat;
        background-size: cover;
        background-position: center;
        opacity: 0.2;
        content: "";
        z-index: -1;
    }

    > .title {
        padding: 0.5rem;
        font-weight: bold;
        color: #fff;
        font-size: 1.5rem;
        transition: opacity 0.5s ease;
    }
}

body {
    font-family: "Roboto";
    background-color: var(--vil-background-color);
}

h1 {
    font-size: 1.75rem;
    font-weight: bold;
    margin: 0;
    padding: 0;
}

h2 {
    font-size: 1.25rem;
    font-weight: normal;
    color: #666;
    margin-bottom: 1.75rem;
    max-width: 80vw;
}

p {
    margin-bottom: 0;
}

ul {
    list-style-type: none;
}

.step-title {
    width: 50vw;
    &.light {
        font-size: 0.875rem;
        margin-bottom: 0.25rem;
    }
}

.button-container {
    display: flex;

    > :first-child {
        margin-right: 1rem;
    }
}

button {
    border: none;
    font: inherit;
    cursor: pointer;
    font-weight: 500;
    font-size: 1rem;
    padding: 1rem;
    &.primary:not([disabled]) {
        background-color: var(--vil-button-primary);
        color: var(--vil-button-text);
        padding-right: 3rem;
        background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='12' height='12' viewBox='0 0 12 12' fill='none'%3E%3Cpath d='M5.17693 1.35742L5.72196 0.812396C5.95274 0.581618 6.32591 0.581618 6.55424 0.812396L11.3269 5.58262C11.5577 5.8134 11.5577 6.18657 11.3269 6.4149L6.55424 11.1876C6.32346 11.4184 5.95028 11.4184 5.72196 11.1876L5.17693 10.6425C4.9437 10.4093 4.94861 10.0288 5.18675 9.80046L8.14513 6.98202H1.08922C0.762694 6.98202 0.5 6.71933 0.5 6.3928V5.60717C0.5 5.28065 0.762694 5.01795 1.08922 5.01795H8.14513L5.18675 2.19952C4.94616 1.9712 4.94125 1.59066 5.17693 1.35742Z' fill='%23FEFEFF'/%3E%3C/svg%3E");
        background-repeat: no-repeat;
        background-position: calc(100% - 1.25em) 50%;

        &:active,
        &:hover {
            background-color: var(--vil-button-active);
            transition: background-color 0.2s ease;
        }
    }

    &.save:not([disabled]) {
        color: var(--vil-button-primary);
        background-color: var(--vil-button-text);
        border: 1px solid var(--vil-button-primary);
        padding-right: 3rem;
        background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='%232a5686' stroke-width='2' stroke-linecap='round' stroke-linejoin='round' class='feather feather-download'%3E%3Cpath d='M21 15v4a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2v-4'/%3E%3Cpolyline points='7 10 12 15 17 10'/%3E%3Cline x1='12' y1='15' x2='12' y2='3'/%3E%3C/svg%3E");
        background-repeat: no-repeat;
        background-position: calc(100% - 1.25em) 50%;
    }
    &.secondary {
        color: var(--vil-button-primary);
        background-color: var(--vil-button-text);
        border: 1px solid var(--vil-button-primary);
    }

    &[disabled] {
        color: var(--vil-button-text);
        background-color: var(--vil-button-disabled-color);
        opacity: 0.8;
        cursor: auto;
    }
}

form {
    display: flex;
    flex-direction: column;

    > input,
    > textarea > select {
        background-color: #ddd;
        border: solid 1px #ddd;
        color: #000000;
        border-radius: 0px;
        padding: 1rem;
        margin: 1rem 0;
    }

    button {
        margin: 1rem 0;
    }
}

.checkbox-label {
    display: flex;
    align-items: center;
}

input[type="radio"] {
    appearance: none;
    margin: 0 1rem 0 0;
    font: inherit;
    color: var(--vil-primary);
    width: 2rem;
    height: 2rem;
    border: 0.15em solid var(--vil-primary);
    border-radius: 50%;

    &:checked {
        background-color: var(--vil-primary);
    }
}

input[type="checkbox"] {
    box-sizing: border-box;
    width: 2rem;
    height: 2rem;
    position: relative;
    appearance: none;
    border-radius: 10%;
    margin: 0.5rem 1rem 0.5rem 0;

    &:not(:checked) {
        background-color: #ddd;
    }

    &:checked {
        background-color: var(--vil-primary);
        &::after {
            display: block;
            position: absolute;
            width: 100%;
            height: 100%;
            padding: 0.125rem;
            content: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='1.75rem' height='1.75rem' viewBox='0 0 24 24' fill='none' stroke='white' stroke-width='3' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpolyline points='20 7 9 18 4 14'%3E%3C/polyline%3E%3C/svg%3E");
        }
    }

    &:disabled {
        border-radius: 50%;
        &:not(:checked) {
            background-color: #ddd;
        }
    }
}
